Get a published public checkout form
GET
/v2/public/checkout-forms/{id}Path parameters
idstring<uuid>requiredQuery parameters
locatorstringrequiredmin length 1 · max length 160
langstringAllowed:
enarexpectedMerchantIdstring<uuid>expectedHostRevisionintegermin -9007199254740991 · max 9007199254740991
Header parameters
x-request-idstringOptional caller-provided request correlation ID.
min length 1
Responses
200OK
checkoutFormobject | anyrequiredShow propertiesHide properties
Any of:
object
idstring<uuid>requiredlocalestringrequiredAllowed:
enarmodestringrequiredAllowed:
fixed_planmulti_planrequiredBuyerFieldsstring[]requiredacceptsDiscountCodebooleanrequiredrecurringConsentVersionstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycheckoutDesignobjectrequiredShow propertiesHide properties
logoAssetIdstring<uuid> | anyShow propertiesHide properties
Any of:
string<uuid>
string<uuid>any
anyaccentColoranybackgroundColoranytextColoranyfontstringrequiredAllowed:
systemarabic_sansseriflayoutstringAllowed:
two_columnstackedproductOrderstring<uuid>[]max items 100
acceptsDiscountCodebooleandefault: false
copyobjectrequiredShow propertiesHide properties
headingobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
subheadingobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
submitLabelobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
offersobject[]requiredmin items 1 · max items 50
Show propertiesHide properties
Array of
objectidstring<uuid>requirednamestringrequiredmin length 1 · max length 160
descriptionstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyofferTypestringrequiredAllowed:
one_timerecurringfreecustompositionintegerrequiredmin 0 · max 9007199254740991
isDefaultbooleanrequiredcurrencyanyrequiredamountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyminimumAmountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anymaximumAmountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anycadenceobject | anyrequiredShow propertiesHide properties
Any of:
object
intervalUnitstringrequiredAllowed:
dayweekmonthyearintervalCountintegerrequiredmin -9007199254740991 · max 9007199254740991
any
anytrialDaysintegerrequiredmin 0 · max 365
any
any404Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject422Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject429Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject500Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobjectRequest
curl -X GET "https://api.cipay.net/v2/public/checkout-forms/%3Cuuid%3E?locator=string"const response = await fetch("https://api.cipay.net/v2/public/checkout-forms/%3Cuuid%3E?locator=string", {
method: "GET"
});Response
{
"checkoutForm": {
"id": "<uuid>",
"locale": "en",
"mode": "fixed_plan",
"requiredBuyerFields": [
"name"
],
"acceptsDiscountCode": true,
"recurringConsentVersion": "string",
"checkoutDesign": {
"logoAssetId": "<uuid>",
"accentColor": "string",
"backgroundColor": "string",
"textColor": "string",
"font": "system",
"layout": "two_column",
"productOrder": [
"<uuid>"
],
"acceptsDiscountCode": false,
"copy": {
"heading": {
"en": "string",
"ar": "string"
},
"subheading": {
"en": "string",
"ar": "string"
},
"submitLabel": {
"en": "string",
"ar": "string"
}
}
},
"offers": [
{
"id": "<uuid>",
"name": "string",
"description": "string",
"offerType": "one_time",
"position": 0,
"isDefault": true,
"currency": "SAR",
"amountHalalas": 0,
"minimumAmountHalalas": 0,
"maximumAmountHalalas": 0,
"cadence": {
"intervalUnit": "day",
"intervalCount": 0
},
"trialDays": 0
}
]
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}